package com.fdkankan.scene.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fdkankan.common.response.ResultData;
import com.fdkankan.scene.api.vo.SceneCnt;
import com.fdkankan.scene.api.vo.SceneProDTO;
import com.fdkankan.scene.vo.SceneParamVO;
import com.fdkankan.scene.vo.SceneVO;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * <p>
 * TODO
 * </p>
 *
 * @author dengsixing
 * @since 2022/1/20
 **/
public interface IUserSceneService {

    Page<SceneVO> getScenes(String token, SceneParamVO param);

    SceneCnt getSceneCnt(Long userId, Long cameraId);

    ResultData findSceneNumber(long userId, String snCode) throws Exception;

    ResultData getNewScenes(SceneParamVO param) throws Exception;

    Integer getSceneNumByCameraId(Long cameraId);

    SceneProDTO getLastSceneByCameraId( Long cameraId);


}
